Bug 199224 - (PenguinOnFire) init[1] trap divide error rip:4296d7 rsp:7fff3001f3e0 error 0
init[1] trap divide error rip:4296d7 rsp:7fff3001f3e0 error 0
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
bzcl34nup
:
: 192157 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-17 23:55 EDT by Andrew
Modified: 2008-05-06 12:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:08:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew 2006-07-17 23:55:32 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
From what I have gathered so far, this bug is related to my SATA drives and the
ACPI features of the booting of linux.

Steps to Reproduce:
1.I have a Gigabyte GA-K8nPro MOBO with 2 SATA drives in raid 0 and one ATA
2.remove the quite flag at the kernel arguments section in grub.
3.Boot the kernel  The screen will infdefinately print out the following

  init[1] trap divide error rip:4296d7 rsp:7fff3001f3e0 error 0

Actual results:
The screen will infdefinately print out the following

  init[1] trap divide error rip:4296d7 rsp:7fff3001f3e0 error 0

Expected results:
I dont need to answer this

Additional info:
Fedora works fine on kernel 2.6.16-1.2122 with the SATA drives plugged in and
the ACPI on
I can avoid the problem by doing one or both of two things
     1.  passing in the acpi=off flag in my kernel arguments.
         Notes:  When I do this, it takes the kernel about 60 seconds to probe
both my sata drives before the kernel decides to keep booting.  Also for some
strange reason killed my ethernet's ability to get a dynamic IP address.  Maybe
the card was dead cause of the flag?  No idea... just noticed it when internet
broke.
     2.  removing the power cords from the sata drives.  I'm sure disabling the
sata device in the BIOS would have the same effect.  When i did this... kernel
booted up flawlessly.
Comment 1 Adam Serbinski 2006-07-21 13:17:49 EDT
Sounds like you're booting off the ATA drive and using the fakeraid for data
storage. Take apart your initrd.img file for the 2.6.17 kernel, and edit the
line in the init file to comment out the line starting with "dm partadd", then
put it back together. If the array doesn't show up automatically, you can start
it from your rc.local file using the dmraid command.
Comment 2 Andrew 2006-07-23 14:17:14 EDT
That did the trick.  The kernel now boots quickly with the SATA raids enabled. 
Thanks for the help.
Comment 3 Peter Jones 2006-08-16 17:18:13 EDT
*** Bug 192157 has been marked as a duplicate of this bug. ***
Comment 4 Peter Jones 2006-09-02 17:08:39 EDT
Does this work for you with mkinitrd-5.1.10-1 ?
Comment 5 Andrew 2006-09-04 00:06:13 EDT
ill let you know in a couple of days.  I'm on vacation right now.
Comment 6 Andrew 2006-09-23 23:08:05 EDT
My apologies, I did forget to get back with you guys.
I need to know hot to get and implement this new version of mkinitrd.
I dont know where to get it and/or how to implement it.
Thank you in advance for the help.

     POF
Comment 7 Andrew 2006-09-23 23:09:02 EDT
My apologies, I did forget to get back with you guys.
I need to know hot to get and implement this new version of mkinitrd.
I dont know where to get it and/or how to implement it.
Thank you in advance for the help.

     Andrew
Comment 8 Patrick Sefton 2007-09-24 00:26:26 EDT
Hi, I can report this bug has also affected me when trying to boot f8test2.  I 
have a similar system to the original reporter: x86_64, 2 SATA drives set up 
with software RAID 1.  Booting from the SATA drives.  The boot gets as far as:

...
Freeing unused kernel memory: 708k freed
Write protecting the kernel read-only data: 1040k
init[1] trap divide error rip:3e2b408adb rsp:7fff9cc00ef0 error:0
printk: 894985 messages suppressed.
...

(lines similar to the last two shown above then repeat forever.  Ctrl-alt-
delete works to break the loop & reboot the machine.)

Thanks in advance for any suggestions -- let me know if you want further info.

Patrick.
Comment 9 Patrick Sefton 2007-09-25 18:34:14 EDT
I should add:

- this is f8test2 kernel 2.6.23-0.164.rc5.fc8 (x86_64)

- unlike the original reporter, using acpi=off noacpi does not fix the issue 
for me

Thanks
Patrick.
Comment 10 Patrick Sefton 2007-10-12 16:54:15 EDT
This is fixed for me in f8test3 (kernel 2.6.23-0.214.rc8.git2.fc8)
Thanks
Patrick.
Comment 11 Ashish Shukla 2007-11-10 05:36:01 EST
I've just finished installing Fedora 8 (amd64) on my box, and I'm unable to boot
with similar error. I've tried kernel 2.6.23.1-42.fc8 and kernel-xen
2.6.21-2950.fc8xen. I've taken the photographs at:

http://flickr.com/photos/wahjava/1945969884/
http://flickr.com/photos/wahjava/1945969862/

----8<----8<----
abbe [~/Desktop] chatteau $ /usr/sbin/lspci 
00:00.0 Host bridge: Intel Corporation 945G/GZ/P/PL Express Memory Controller
Hub (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 945G/GZ Express Integrated
Graphics Controller (rev 02)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1
(rev 01)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3
(rev 01)
00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4
(rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI
Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface
Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller
(rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GB/GR/GH (ICH7 Family) Serial ATA
Storage Controller IDE (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
04:01.0 Multimedia audio controller: Yamaha Corporation YMF-740C [DS-1L Audio
Controller] (rev 03)
04:08.0 Ethernet controller: Intel Corporation 82801G (ICH7 Family) LAN
Controller (rev 01)
abbe [~/Desktop] chatteau $ cat /proc/cpuinfo 
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      :               Intel(R) Pentium(R) 4 CPU 3.00GHz
stepping        : 3
cpu MHz         : 2999.992
cache size      : 2048 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 1
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx lm constant_tsc
pni monitor ds_cpl est cid cx16 xtpr
bogomips        : 6005.17
clflush size    : 64
cache_alignment : 128
address sizes   : 36 bits physical, 48 bits virtual
power management:

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      :               Intel(R) Pentium(R) 4 CPU 3.00GHz
stepping        : 3
cpu MHz         : 2999.992
cache size      : 2048 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 1
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx lm constant_tsc
pni monitor ds_cpl est cid cx16 xtpr
bogomips        : 6000.02
clflush size    : 64
cache_alignment : 128
address sizes   : 36 bits physical, 48 bits virtual
power management:

abbe [~/Desktop] chatteau $ cat /proc/meminfo 
MemTotal:      1016792 kB
MemFree:        488828 kB
Buffers:         27004 kB
Cached:         162952 kB
SwapCached:          0 kB
Active:         228748 kB
Inactive:       128764 kB
SwapTotal:     5221012 kB
SwapFree:      5221012 kB
Dirty:               4 kB
Writeback:           0 kB
AnonPages:      167656 kB
Mapped:          58592 kB
Slab:            29952 kB
SReclaimable:    14492 kB
SUnreclaim:      15460 kB
PageTables:      12224 kB
NFS_Unstable:        0 kB
Bounce:              0 kB
CommitLimit:   5729408 kB
Committed_AS:   404632 kB
VmallocTotal: 34359738367 kB
VmallocUsed:     62164 kB
VmallocChunk: 34359675387 kB
HugePages_Total:     0
HugePages_Free:      0
HugePages_Rsvd:      0
Hugepagesize:     2048 kB
---->8---->8----

The about output is pasted from Gentoo (kernel 2.6.22-gentoo-r9) running on the
same box.

HTH
Comment 12 Bug Zapper 2008-04-03 23:19:46 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 13 Bug Zapper 2008-05-06 12:08:07 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.